Skip to main content
GET
/
v1
/
stores
/
{store}
/
subscription-plans
/
subscriptions
List subscriptions
curl --request GET \
  --url https://api.confiopagos.com/v1/stores/{store}/subscription-plans/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "subscriptions": [
    {
      "name": "stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ/subscriptions/01JNRVWWHH68E76V3TMFFT6GHJ",
      "status": "PENDING_ACCEPTANCE",
      "buyer": {
        "email": "buyer@example.com",
        "phoneNumber": "+573215786325",
        "firstName": "Santiago",
        "lastName": "García"
      },
      "createTime": "2024-01-15T10:30:00Z",
      "firstChargeAmountCents": 3000000,
      "redirectUri": "https://example.com/subscription-status",
      "acceptanceUrl": "https://checkout.confiopagos.com/s/abc123token",
      "acceptanceTokenExpiresAt": "2024-01-22T10:30:00Z",
      "currentPeriodStart": "2024-01-15T10:30:00Z",
      "currentPeriodEnd": "2024-02-15T10:30:00Z",
      "nextBillingTime": "2024-02-15T10:30:00Z"
    }
  ],
  "nextPageToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

store
string
required
Example:

"01G65Z755AFWAKHE12NY0CQ9FH"

Query Parameters

pageSize
string

The maximum number of items to return. Default is 50, max is 1000.

Example:

"20"

pageToken
string

A page token received from a previous call for pagination.

Response

200 - application/json

Successfully fetched subscriptions.

subscriptions
object[]
required

List of subscriptions

nextPageToken
string

Token for retrieving the next page of results